Skip to main content
GET
/
v1
/
partner
/
merchants
/
{merchantId}
/
card-payments
/
payments
/
{paymentId}
/
status
curl https://api.acountpay.com/v1/partner/merchants/42/card-payments/payments/pay_abc123/status \
  -H "X-Partner-Client-Id: your-client-id" \
  -H "X-Partner-Client-Secret: your-client-secret"
{
  "paymentId": "pay_abc123",
  "status": "CAPTURED",
  "amount": 10000,
  "currency": "DKK"
}

Authentication

X-Partner-Client-Id
string
required
Your partner client ID
X-Partner-Client-Secret
string
required
Your partner client secret

Path Parameters

merchantId
integer
required
The numeric merchant ID
paymentId
string
required
The payment ID to check

Response

paymentId
string
The payment identifier
status
string
Payment status: CREATED, AUTHORIZED, CAPTURED, CANCELLED, VOIDED, FAILED
amount
number
Payment amount
currency
string
Currency code
curl https://api.acountpay.com/v1/partner/merchants/42/card-payments/payments/pay_abc123/status \
  -H "X-Partner-Client-Id: your-client-id" \
  -H "X-Partner-Client-Secret: your-client-secret"
{
  "paymentId": "pay_abc123",
  "status": "CAPTURED",
  "amount": 10000,
  "currency": "DKK"
}